Subject: Re: Samba for Cygwin
From: "Michael F. March" <[email-masked]>
To: "Charles Wilson" <[email-masked]>, "Joshua Jensen" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 20 Aug 2001 13:15:50 -0700

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Joshua Jensen" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, August 20, 2001 12:56 PM
Subject: Re: Samba for Cygwin

> Joshua Jensen wrote:
>
> > I show all my students Cygwin, and they love it.  Their number one
> > question, though, is "where is Samba for Cygwin?".  Are there aspects of
> > Samba that are particularly problematic when porting to Cygwin?  Are
> > there any plans for Samba on Cygwin?
>
>
> Umm...why?
>
> Samba allows linux/unix machines to export shares using the SMB/CIFS
> protocol.
>
> smbfs allows linux machines to mount shares from other machines (incl.
> windows) using SMB/CIFS.
>
> Windows ALREADY can export and mount shares using SMB/CIFS.  These
> filesharing tools are *builtin* to windows 9x/Me and NT/2k.  Why run
samba?

I happen to prefer the administration of Samba to traditional NT/2k
shares. That is also why I use Apache under Win2K instead of
IIS.

> That's like asking to port WINE to Cygwin (or port cygwin to WINE).
> It's a gee-whiz proof-of-concept, but has no practical value.

I believe there is a WINE port to Cygwin. Many of the Wine developers
wanted to be able to develope Wine under Windows.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/